package Validator;

sub new {
    my $class = shift;
    my %args = @_;

    return bless {
        'debug' => ($args{'debug'} ? 1 : 0),
    }, $class;
}

sub email {
    my $self = shift;
    my %args = @_;

    if ( defined($args{'address'}) && length($args{'address'}) ) {
       if ( $args{'address'} =~ /^[a-zA-Z0-9]\w*(?:[\.-]\w+)*\@([a-zA-Z0-9]+(?:[\.-][a-zA-Z0-9]+)*)$/ ) {
           my $domain = $1;
           if ($self->{'debug'}) {
               print STDERR "Domain: $domain\n";
           }
           return 1;
       }
    }
    elsif ( !defined($args{'mandatory'}) || !$args{'mandatory'}) {
        return 1;
    }
    return 0;
}

1;
